/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.common.dto;

import jp.mosp.common.common.BaseDto;

/**
 * @author yoshida
 *
 */
public class CmComponentDto extends BaseDto {
	
	private static final long	serialVersionUID	= 3115468966868261668L;
	
	// フィールド
	private String				compcode			= "";					//コマンドユニットコード
	private String				division			= "";					//分類
	private String				compname			= "";					//コマンドユニットネーム
	private String				component			= "";					//コマンド
	private int					manage				= 0;					//閲覧権限
	private int					deleteflag			= 0;					//削除フラグ
																			
	
	/**
	 * コンストラクタ
	 */
	public CmComponentDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return コマンドユニットコード
	 */
	public String getCompCode() {
		return compcode;
	}
	
	/**
	 * @return 分類
	 */
	public String getDivision() {
		return division;
	}
	
	/**
	 * @return コマンドユニットネーム
	 */
	public String getCompName() {
		return compname;
	}
	
	/**
	 * @return コマンド
	 */
	public String getComponent() {
		return component;
	}
	
	/**
	 * @return 閲覧権限
	 */
	public int getManage() {
		return manage;
	}
	
	/**
	 * @return 削除フラグ
	 */
	public int getDeleteFlag() {
		return deleteflag;
	}
	
	/**
	 * @param compcode コマンドユニットコード
	 */
	public void setCompCode(String compcode) {
		this.compcode = compcode;
	}
	
	/**
	 * @param division 分類
	 */
	public void setDivision(String division) {
		this.division = division;
	}
	
	/**
	 * @param compname コマンドユニットネーム
	 */
	public void setCompName(String compname) {
		this.compname = compname;
	}
	
	/**
	 * @param component コマンド
	 */
	public void setComponent(String component) {
		this.component = component;
	}
	
	/**
	 * @param manage 閲覧権限
	 */
	public void setManage(int manage) {
		this.manage = manage;
	}
	
	/**
	 * @param deleteflag 削除フラグ
	 */
	public void setDeleteFlag(int deleteflag) {
		this.deleteflag = deleteflag;
	}
	
}
